"use strict";
const chalk = require("chalk");
const fs = require("fs");
const path = require("path");
const ignoreDirsPath = require("../utils/ignoreDirsPath");

/**
 * Reads `.ignorepath` and creates path for
 * file/directories that will be ignored
 * @param {String} startDir Starting directory path
 */
function ignore(startDir) {
  const ignoreFilePath = path.join(startDir, ".ignorepath");
  if (fs.existsSync(ignoreFilePath)) {
    console.log(chalk.green("Path ignore file was found."));
    const content = fs.readFileSync(ignoreFilePath, { encoding: "utf-8" });
    if (content) {
      const ignoreFiles = content.replaceAll("\r", "").split("\n");
      if (ignoreFiles.length > 0) {
        ignoreFiles.forEach((file) => {
          ignoreDirsPath(file);
        });
      }
    }
  }
}

module.exports = ignore;
